aboutsummaryrefslogtreecommitdiff
path: root/docker/crupest-debian-dev/bootstrap/apt-source/setup.bash
diff options
context:
space:
mode:
Diffstat (limited to 'docker/crupest-debian-dev/bootstrap/apt-source/setup.bash')
-rwxr-xr-xdocker/crupest-debian-dev/bootstrap/apt-source/setup.bash12
1 files changed, 12 insertions, 0 deletions
diff --git a/docker/crupest-debian-dev/bootstrap/apt-source/setup.bash b/docker/crupest-debian-dev/bootstrap/apt-source/setup.bash
new file mode 100755
index 0000000..60e635b
--- /dev/null
+++ b/docker/crupest-debian-dev/bootstrap/apt-source/setup.bash
@@ -0,0 +1,12 @@
+#! /usr/bin/env bash
+
+set -e
+
+dir=$(dirname "$0")
+
+if [[ -n $IN_CHINA ]]; then
+ "$dir/replace-domain.bash" "$(cat "$dir/china-source.txt")"
+fi
+
+"$dir/install-apt-https.bash"
+"$dir/replace-http.bash"